{ pkgs, username, ... }:

{
  environment.systemPackages = [
    (pkgs.unstable.alpaca.override {
      ollama = pkgs.unstable.ollama-cuda;
    })
  ];

  environment.persistence."/nix/persist" = {
    users."${username}".directories = [
      ".config/com.jeffser.Alpaca"
      ".local/share/com.jeffser.Alpaca"
    ];
  };
}
