;; If we're already using Nix, make sure we're only using
;; the Nix provided packages instead of downloading them from
;; (m)elpa and co as it's not really necassary as we've already
;; got Nix to do this job and this is a much cleaner solution.
(if (file-exists-p "/nix/store")
    (setq using-nix t
          use-package-always-ensure nil)
  (setq using-nix nil
        use-package-always-ensure t))
